@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kurale&family=Raleway&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Major+Mono+Display&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Euphoria+Script&display=swap');
:root {
    scroll-behavior: smooth;
}
:root {
    --fuente1:font-family: 'Nunito';
    --fucsia:#fa246b;
    --gris: #545757;
    --azul: #28a0f6;
    --negro: #010110;
}

@font-face {
    font-family:Hatching ;
    src: url(./fonts/HatchingLove.ttf);
}
@font-face {
    font-family:Hernitta ;
    src: url(./fonts/Hernitta.otf);
}
@font-face {
    font-family:Winter ;
    src: url(./fonts/Winterlady.ttf);
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0 auto;
    padding: 0;
    overflow-x: hidden;
    background-color: var(--gris);
    scroll-behavior: smooth;
}

header {
    height: 100vh;
    width: 100%;
}

.parallax {
    background-image: url(./media/portada2.jpg);
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
    /* max-width: 1900px; */
}

.navbar {
    display: flex;
    gap: 2rem;
    margin-top: 3rem;
    font-size: 1.3rem;
    font-family: nunito;
    font-weight: 600;
}

.logo {
    width: 18rem;
    margin-left: 14rem;
    margin-top: 2rem;
    filter: drop-shadow(0 10px 4px rgba(0, 0, 0, 0.7))
}

.nav {
    display: flex;
    justify-content:center;
    width: 100%;
    align-items: center;
}

.links {
    list-style: none;
    text-decoration: none;
}

a {
    text-decoration: none;
    color: var(--fucsia);
}

nav ul li a,
nav ul li a:after,
nav ul li a:before {
    transition: all .5s;
}
nav ul li a:hover {
    color:var(--gris);
}
nav.efect ul li a {
    position:relative;
    z-index: 1;
}
nav.efect ul li a:hover {
    color: #fff;
}
nav.efect ul li a:after {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    width: 100%;
    height: 1px;
    content: '.';
    color: transparent;
    background: var(--fucsia);
    visibility: none;
    opacity: 0;
    z-index: -1;
}
nav.efect ul li a:hover:after {
    opacity: 1;
    visibility: visible;
    height: 100%;
}


h1 {
    font-family: hatching;
    font-size: 5rem;
    font-weight: 800;
    margin-left: 10rem;
    margin-top: -3rem;
    color:var(--fucsia);
    filter: drop-shadow(0 10px 4px rgba(0, 0, 0, 0.7))
}

.slogan{
    font-family: hernitta;
    font-size: 4rem;
    margin-left: 19rem;
    color: var(--negro);
}

.slogan span {
    display: block;
    margin-left: 9rem;
}

.title_trabajos {
    font-family: nunito;
    font-size: 4rem;
    color: var(--azul);
    margin-left: 5rem;
    z-index: 10;
    position: relative;
}

.trabajos_container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(30rem, 1fr));
    /* flex-wrap: wrap; */
    cursor: pointer;
    margin-top: -11.6rem;
}

.foto:hover.mask {
    opacity: 0;
    border:0px solid rgba(0,0,0,0.7);
    visibility:hidden;
}

.foto {
    filter: grayscale(100%);
}

.foto:hover {
    filter:none
}

.form {
    background-image: url(./media/form_img.jpg);
    width: 100%;
    height: 100vh;
    display: grid;
    justify-content: center;
    margin-top: 1rem;
}

.contact_container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 90%;
    flex-wrap: wrap;
    align-items: center;
    gap: 20rem;
    justify-content: end;
    margin-top: 15rem;
}

.title_contact {
    font-family: nunito;
    font-size: 4rem;
    color: var(--azul);
    position: absolute;
    margin-left: -95rem;
}

.subtitle_contact {
    font-family: hernitta;
    font-size: 3rem;
    margin-left: 15rem;
    margin-top: 12rem;
    color: var(--fucsia);
    z-index: 5;
    
}

.contact {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(640px, 1fr));
    width: 70%;
    margin-top: 16rem;
}

textarea {
    height: 7rem;
}

.input {
    display: inline-block;
    justify-content: center;
    margin: 0.5rem 0;
    padding: .8rem;
    outline: none;
    border: none;
    font-size: 1.3rem;
    color: var(--fucsia);
    background-color: var(--gris)
}

::placeholder{
    color: var(--fucsia);
}

.submit {
    width: 7rem;
    font-weight: 600;
    background-color: transparent;
    color:var(--fucsia);
    font-size: 1.3rem;
    border-color: var(--fucsia);
    margin-left: 24rem;
    cursor: pointer;
}

button .submit :hover{
    color: var(--gris);
    background-color: var(--fucsia);
}

.contact {
    opacity: 0.8;
}
footer {
    width: 100%;
    height: 8vh;
    background-color: var(--gris);
    align-items: center;
    display: flex;
    justify-content: space-around;
}
.author a{
    font-family: nunito;
    font-size: 1.2rem;
    color: var(--fucsia);
}
.author a span{
    text-shadow:(0 10px 4px rgba(0, 0, 0, 0.7));
    font-style: italic;
    color: var(--azul);
    font-weight: 600;
}
.redes {
    font-size: 1.8rem;
}

.redes i {
    margin: auto .5rem;
}

/* media quieries */
@media (max-width: 425px) {
    html {
        width: 425px;
    }
    .navbar {
        display: none;
    }
    .logo {
        max-width: 150px;
        margin-left: 2rem;
        margin-top: 10rem;
    }
    h1 {
        font-size: 2.5rem;
        margin-left: 1.4rem;
        margin-top: -1.5rem;
        font-weight: 900;
    }
    header{
        justify-content: center;
        width: 100%;
    }
    .parallax {
        width: 100%;
        justify-content: center;
        text-align: center;
        align-items: center;
        background-image: url(./media/Portada-responsive.jpg);
        background-attachment:local;
    }
    .slogan {
        font-size: 3rem;
        font-weight: 300;
        color: whitesmoke;
        margin: 4rem auto;
        background-color: rgba(255, 255, 255, 0.3);
        border-radius: 5px;
        backdrop-filter: blur(10px)
    }
    .slogan span {
        margin-left: auto;
    }
    .title_trabajos {
        font-size: 3rem;
        margin-top: 4rem;
    }
    .trabajos_container img {
        max-width: 425px;
    }
    body {
        justify-content: center;
        text-align: center;
    }
    .form {
        flex-direction: column;
        justify-content: center;

    }
    .form {
        background-image: url(./media/form_img-responsive.jpg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        justify-content: center;
    }
    .contact_container {
        grid-template-columns: repeat(auto-fill, minmax(640px, 1fr));
        flex-direction: column;
        flex-wrap: wrap;
        height: 90vh;
        margin-top: 4rem;
    }
    .title_contact {
        font-size: 1rem;
        position: relative;
    }
    .subtitle_contact{
        justify-content: center;
        margin-top: 15rem;
        width: 50%;
        position: relative;
        font-size: 2rem;
        font-weight: 200;
        color: black;
        margin-left: 14rem;
        background-color: rgba(255, 255, 255, 0.3);
        border-radius: 5px;
        backdrop-filter: blur(10px);
        word-wrap:normal;
    }
    .contact {
        display:flex;
        width: 490px;
        flex-direction: column;
        margin-top: -40rem;
        margin-left: 13rem;
        margin-bottom: -10rem;
    }
    .input {
        font-size: 1rem;
        width: 70%;
    }
    .submit{
        font-size: 1.3rem;
        margin-left: 14rem;
    }
    footer {
        flex-direction: column-reverse;
        gap: 1rem;
        height: 10vh;
    }
    

@media (max-width: 361px) {
    .parallax{
        margin: auto;
        margin-left: -2rem;
    }
    .slogan {
        max-width: 360px;
        font-size: 2.5rem;
        background-color: rgba(255, 255, 255, 0.3);
        border-radius: 5px;
        backdrop-filter: blur(10px);
    }
    .subtitle_contact {
        margin-top: 10rem;
    }
    .contact {
        display:flex;
        width: 490px;
        flex-direction: column;
        margin-top: -10rem;
        margin-left: 13rem;
        margin-bottom: 10rem;
    }
    .submit {
        margin-left: 14rem;
    }
}}